<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- 
Copyright (c) 2011, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the 
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at 
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="GateNull" title="Empty implementation of IGateProvider" version="1">

<page name="Global">
<html><body><table>
  <tr>
      <td><form>
        <p>An instance of this <a href="http://rtsc.eclipse.org/cdoc-tip/index.html#xdc/runtime/IGateProvider.html">IGateProvider</a> implementation is assigned to all gated modules as a default module-wide gate.
        Instances of this gate implementation provide no protection for critical sections and should only be used for modules in which the data structures protected by module-level gates are never accessed by concurrent threads.</p>
        <p> </p>
      </form></td>
  </tr>
  <tr>
    <td><control type="checkbox" label="Add GateNull to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
</table></body></html>
</page>

</gep>

<!--
/*
 * @(#) xdc.runtime; 2, 1, 0,0; 11-8-2017 17:11:26; /db/ztree/library/trees/xdc/xdc-D20.1/src/packages/
 */
-->

